//
// php-armadillo/non_resizable_matrix.cc
//
// @Author CismonX
//

#include "non_resizable_matrix.hh"
#include "non_resizable.hh"
#include "matrix.hh"
#include "subview_mat.hh"

namespace php_arma
{
    template <typename T, typename T1>
    PHP_ARMA_METHOD(non_resizable_matrix, eye, T, T1)
    {
        auto native = THIS_NATIVE;
        native->eye();
        RETVAL_THIS();
    }

    template <typename T, typename T1>
    PHP_ARMA_START_ME(non_resizable_matrix, T, T1)
        PHP_ARMA_ME(eye, ZEND_ACC_PUBLIC)
    PHP_ARMA_END_ME();

    void non_resizable_matrix_init()
    {
        non_resizable_matrix_ce = interface_register<non_resizable_matrix_php_name>(
            non_resizable_ce, matrix_ce);
    }

    PHP_ARMA_INSTANTIATE(non_resizable_matrix, subview_mat);
}
