<?php

namespace Arma\Internal;

use Arma\MapVal;

/**
 * Interface for vectors with a Dense Layout (Row and Col).
 *
 * @package Arma\Internal
 */
interface DenseVector extends Dense, Vector
{
    /// Subview

    /**
     * {@inheritdoc}
     *
     * @param int $idx
     * @return MapVal
     */
    function __invoke($idx);

    /**
     * {@inheritdoc}
     *
     * @param int $idx
     * @return MapVal
     */
    function at($idx);
}
