--TEST--
Test for methods `setReal()` and `setImag()`.
--SKIPIF--
<?php
require_once 'includes/loaded.php';
is_php_arma_loaded();
?>
--FILE--
<?php

$cx_dmat = Arma\CxDMat::fromString('(1,2) (3,4); (5,6) (7,8)');
$dmat = Arma\DMat::fromString('3 5; 7 9');
$cx_dmat->setImag($dmat);
$cx_dmat->rawPrint();
$cx_dmat->setReal($dmat);
$cx_dmat->rawPrint();

?>
--EXPECT--
(1,3) (3,5)
(5,7) (7,9)
(3,3) (5,5)
(7,7) (9,9)
