//
// php-armadillo/non_resizable.cc
//
// @Author CismonX
//

#include "non_resizable.hh"
#include "subview_mat.hh"
#include "diagonal.hh"

namespace php_arma
{
    template <typename T, typename T1>
    PHP_ARMA_METHOD(non_resizable, zeros, T, T1)
    {
        auto native = THIS_NATIVE;
        native->zeros();
        RETVAL_THIS();
    }

    template <typename T, typename T1>
    PHP_ARMA_START_ME(non_resizable, T, T1)
        PHP_ARMA_ME(zeros, ZEND_ACC_PUBLIC)
    PHP_ARMA_END_ME();

    void non_resizable_init()
    {
        non_resizable_ce = interface_register<non_resizable_php_name>();
    }

    PHP_ARMA_INSTANTIATE(non_resizable, subview_mat);
    PHP_ARMA_INSTANTIATE(non_resizable, diagview);
}
