//
// php-armadillo/vector.hh
//
// @Author CismonX
//

#ifndef PHP_ARMA_VECTOR_HH
#define PHP_ARMA_VECTOR_HH

#include "common/php_arma.hh"

namespace php_arma
{
    template <typename T, typename ChildT>
    struct vector
    {
        using native_t = typename ChildT::native_t;

        PHP_ARMA_COMMON_DECLARE();

    private:
        static PHP_FUNCTION(t);
    };

    void vector_init();

    constexpr const char vector_php_name[] = "Vector";

    inline zend_class_entry *vector_ce;
}

#endif // !PHP_ARMA_VECTOR_HH
