<?php

namespace Arma;

/**
 * Represents a complex number with doubles as real and imaginary part.
 *
 * @package Arma
 */
class CxDouble extends Complex
{
    /**
     * {@inheritdoc}
     *
     * @var double
     */
    public $real;

    /**
     * {@inheritdoc}
     *
     * @var double
     */
    public $imag;

    /**
     * {@inheritdoc}
     *
     * @param double $real[optional]
     * @param double $imag[optional]
     */
    function __construct($real = 0., $imag = 0.) {}

    /**
     * {@inheritdoc}
     *
     * @param double $r     : magnitude
     * @param double $theta : phase angle
     * @return CxDouble
     */
    static function fromPolar($r, $theta) {}

    /**
     * {@inheritdoc}
     *
     * @param double|CxDouble $other
     * @return CxDouble
     */
    function add($other) {}

    /**
     * {@inheritdoc}
     *
     * @param double|CxDouble $other
     * @return CxDouble
     */
    function sub($other) {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function neg() {}

    /**
     * {@inheritdoc}
     *
     * @param double|CxDouble $other
     * @return CxDouble
     */
    function mul($other) {}

    /**
     * {@inheritdoc}
     *
     * @param double|CxDouble $other
     * @return CxDouble
     */
    function div($other) {}

    /**
     * {@inheritdoc}
     *
     * @return double
     */
    function abs() {}

    /**
     * {@inheritdoc}
     *
     * @return double
     */
    function arg() {}

    /**
     * {@inheritdoc}
     *
     * @return double
     */
    function norm() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function conj() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function exp() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function log() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function log10() {}

    /**
     * {@inheritdoc}
     *
     * @param double|CxDouble $other
     * @return CxDouble
     */
    function pow($other) {}

    /**
     * {@inheritdoc}
     *
     * @return double
     */
    function sqrt() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function sin() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function cos() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function tan() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function asin() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function acos() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function atan() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function sinh() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function cosh() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function tanh() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function asinh() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function acosh() {}

    /**
     * {@inheritdoc}
     *
     * @return CxDouble
     */
    function atanh() {}

    /**
     * {@inheritDoc}
     *
     * @return string
     */
    function __toString() {}
}
