<?php

namespace Arma\Internal;

/**
 * Interface for non-resizable matrices (subview).
 *
 * @package Arma\Internal
 */
interface NonResizableMatrix extends NonResizable, Matrix
{
    /**
     * Set the elements along the main diagonal to one and off-diagonal elements to zero.
     *
     * @return $this
     */
    function eye();
}
